Package: org.gradle.tooling.model.eclipse

## [Java] Interface EclipseProject

- org.gradle.tooling.model.eclipse.HierarchicalEclipseProject

- All Superinterfaces:
    Element, HierarchicalElement, HasGradleProject, Model, HierarchicalEclipseProject

  The complete model of an Eclipse project.

  Note that the names of Eclipse projects are unique, and can be used as an identifier for the project.

  Since:
    1.0-milestone-3

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `DomainObjectSet<? extends EclipseProject>` | `getChildren()` {@inheritDoc}
    `DomainObjectSet<? extends ExternalDependency>` | `getClasspath()` Returns the external dependencies which make up the classpath of this project.
    `GradleProject` | `getGradleProject()` The gradle project that is associated with this project.
    `EclipseProject` | `getParent()` {@inheritDoc}

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface HasGradleProject` | `getGradleProject`
    `interface HierarchicalEclipseProject` | `getChildren, getLinkedResources, getParent, getProjectDependencies, getProjectDirectory, getSourceDirectories`
    `interface HierarchicalElement` | `getChildren, getParent`
    `interface Element` | `getDescription, getName`

- - ### Method Detail

    - #### public DomainObjectSet<? extends EclipseProject> getChildren()

      {@inheritDoc}

    - #### public DomainObjectSet<? extends ExternalDependency> getClasspath()

      Returns the external dependencies which make up the classpath of this project.

      Returns:
        The dependencies. Returns an empty set if the project has no external dependencies.
      Since:
        1.0-milestone-3

    - #### public GradleProject getGradleProject()

      The gradle project that is associated with this project. Typically, a single Eclipse project corresponds to a single gradle project.

      See HasGradleProject

      Returns:
        associated gradle project
      Since:
        1.0-milestone-5

    - #### public EclipseProject getParent()

      {@inheritDoc}